%if 0%{?fedora}
%global with_python3 1
%endif

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname textile
%global commit ffd5c18f7e68f257c73056c853d4aa948e3c2a36

Name:           python-%{srcname}
Version:        2.2.1
Release:        1%{?dist}
Summary:        A Humane Web Text Generator
Group:          Development/Languages
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/textile/python-textile/raw/%{commit}/README.textile
Source2:        https://github.com/textile/python-textile/raw/%{commit}/LICENSE.txt
BuildArch:      noarch
Requires:       python-regex
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  python-regex
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRequires:  python3-regex
%endif # with_python3


%description
Textile is a XHTML generator using a simple markup developed by Dean
Allen. This is a Python port with support for code validation, itex to
MathML translation, Python code coloring and much more.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        A Humane Web Text Generator
Group:          Development/Languages
Requires:       python3-regex

%description -n python3-%{srcname}
Textile is a XHTML generator using a simple markup developed by Dean
Allen. This is a Python port with support for code validation, itex to
MathML translation, Python code coloring and much more.
%endif # with_python3


%prep
%setup -q -n %{srcname}-%{version}
cp -a %SOURCE1 .
cp -a %SOURCE2 .

# remove the shebang
sed -i -e '/#! *\/usr\/bin\/.*python.*/{1D}' textile/core.py

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} \
  -c 'import textile; import sys; print textile.textile(sys.stdin.read())' \
  < README.textile > README.html


%check
# run the testsuite and log results, but do not fail the build
nosetests || :
%if 0%{?with_python3}
pushd %{py3dir}
nosetests-%{python3_version} || :
popd
%endif # with_python3


%files
%doc README.* LICENSE.txt
%{python_sitelib}/*
%exclude %{python_sitelib}/%{srcname}/tests


%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.* LICENSE.txt
%{python3_sitelib}/*
%exclude %{python3_sitelib}/%{srcname}/tests
%endif # with_python3


%changelog
* Thu Jan  8 2015 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.1-1
- Update to 2.2.1.

* Fri Jun 13 2014 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.8-1
- Update to 2.1.8.
- Update upstream URLs.
- Provide a Python3 subpackage.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jan 30 2013 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.5-2
- Add patch to support pillow (bz 896295).

* Fri Nov 23 2012 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.5-1
- Update to 2.1.5.
- Include LICENSE.txt.
- Spec file cleanups.
- Disable tests for now.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Apr 16 2010 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.4-3
- Simplify %%check.

* Fri Apr 16 2010 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.4-2
- Add missing BR python-nose for the tests.
- Actually run the tests in %%check.
- Remove obsolete comment about tidy.

* Fri Apr 16 2010 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.4-1
- Update to 2.1.4.
- Use %%global instead of %%define.
- README is missing in the tarfile.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.3-1
- Upstream and upstream URLs changed.
- Update to 2.1.3.
- Remove now obsolete tweak for enabling import of htmlizer.
- Process README.textile provided in the package.
- Run test.py in %%check section.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0.11-5
- Rebuild for Python 2.6

* Sat Apr  5 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.11-4
- Simplify BR.

* Mon Jan 28 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.11-3
- As the license text in the main source file is unchanged, revert the
  license tag back to BSD.

* Fri Jan 18 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.11-2
- Updated main and source urls. The website states that the package is
  now under the MIT License.

* Sat Sep  8 2007 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.11-1
- Initial version.
